# TRTCMixUser class Null safety

Position information of each channel of subimage in On-Cloud MixTranscoding

`TRTCMixUser` is used to specify the detailed position of the video image of each channel (i.e., each `userId`).

## Constructors

TRTCMixUser({String userId = '', String roomId = "", int x = 0, int y = 0, int width = 0, int height = 0, int zOrder = 0, int streamType = TRTCCloudDef.TRTC_VIDEO_STREAM_TYPE_BIG, int? inputType = 0, bool pureAudio = false})

## Properties

hashCode → int
  The hash code for this object.
  read-only, inherited
height ↔ int
  Height of the layer position (absolute pixel value)
  read / write
inputType ↔ int?
  Whether the user only enables audio or only enables video, 1-enables audio and video, 2-only video, 3-only audio
  read / write
pureAudio ↔ bool
  Whether the user only enables audio
  read / write
roomId ↔ String
  `roomId` of the `userId` that engages in mixtranscoding. The `null` value indicates the current room
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
streamType ↔ int
  Whether the primary image (`TRTC_VIDEO_STREAM_TYPE_BIG`, which is the default value) or screen sharing image (`TRTC_VIDEO_STREAM_TYPE_SUB`) engages in mixtranscoding
  read / write
userId ↔ String
  `userId` that engages in mixtranscoding
  read / write
width ↔ int
  Width of the layer position (absolute pixel value)
  read / write
x ↔ int
  X coordinate of the layer position (absolute pixel value)
  read / write
y ↔ int
  Y coordinate of the layer position (absolute pixel value)
  read / write
zOrder ↔ int
  Layer number (1–15), which must be unique
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited